me().nam = 'Макс'
set_music('mus/late.xm');

card = obj { 
	nam = 'карточка',
	inv = 'В ваших руках потертая смарт-карточка. На ее поверхности грязно-коричневое\
		изображение -- ваша фотография. Повертев карточку в руках вы отправляете ее\
		в карман джинс.',
}

key = obj {
	nam = "ключ",
	inv = [[Вы внимательно разглядываете кусочек металла с биркой. Это действительно ключ. 
		К ключу привязана бирка. Вы напрягаете зрение и медленно понимаете, на бирке номер -- 300.]],
}

main = room {
	pic = 'gfx/win.png',
	forcedsc = true,
	nam = "Пролог",
	dsc = [[
Эта история началась в последний день лета. С утра лил проливной дождь, и я просидел
у окна до самого вечера, разглядывая капли на стекле. Накануне я получил приглашение
из института со странным названием ВНИЗ. В приглашении сообщалось, что мои достижения
в области реверсирования сознания очень заинтересовали руководство института, и мне
предлагаются все условия для работы в стенах ВНИЗ, включая заманчивую зарплату.
^^
Не скрою, предложение было своевременным, дела мои шли не важно, тематика моих работ
мало кого интересовала. Но что-то мешало мне сразу ответить на письмо. Я медлил. Сейчас,
когда все пережитое осталось в прошлом, я понимаю, что это странное ноющее ощущение в душе
называется предчувствием.
^^
Через несколько дней я предстал перед стенами ВНИЗ. Пройдя через пост охраны, я поднялся 
на третий этаж, где меня встретил человек, определивший мою дальнейшую судьбу. Это был Академик. 
Он оказался довольно молодым и худощавым человеком, мы говорили о чем угодно кроме работы, и 
в завершении беседы я, не выдержав, спросил чем именно я представляю интерес для института.
^^
"Понимаете..." - хмыкнул он - "мы очень ценим умных людей. Ум - это наше достояние". 
Его натянутая улыбка потом долго снилась мне по ночам.
^^
Я проработал во ВНИЗ всю зиму, и в общем, все шло хорошо. Однако, однажды вечером, когда 
я в очередной раз засиделся допоздна за работой, я стал свидетелем странного разговора...
^^
Из-за ошибки коммутатора, звонок Неизвестного (я буду его называть так) перенаправили на меня,
такие ошибки случались, и когда Неизвестный попросил переключить его на Академика, я не задумываясь
сделал это... Но, то ли его неприятный голос, то ли моя паранойя заставили меня подслушать
этот роковой для меня разговор..
^^
 - Как идут дела? - интересовался Неизвестный.
^^
 - Сдвинулись с мертвой точки, этот ]]..me().nam..[[, он настоящий псих! Скоро мы получим всю...^ 
 - Сколько еще ждать? - перебил излияния Академика Неизвестный. В его голосе слышалась угроза. Холодок пробежал у меня по коже. ^
 - В сущности, он все уже сделал... Его наработки с нашими технологиями уже сейчас... ^
 - СКОЛЬКО? ВРЕМЕНИ? - шипел Неизвестный...^
Я, не выдержав, бросил трубку.
^^
Всю ночь я не спал. Я чувствовал, что я в центре паутины. На следующее утро, я разбитый пришел во ВНИЗ
с одной мыслью - узнать, что здесь происходит?...
]],
	obj = { vway('дальше', '{Дальше}.', 'entrance') },
}

guard_dlg = dlg {
	pic = 'gfx/guard.png',
	nam = "Разговор с охранником",
	enter = "Один из охранников недружелюбно смотрит на тебя. В его серых глазах немой вопрос.",
	exit = function(s)
		s:pon(1);
		return "Охранник с неприязнью отворачивает свое лицо."
	end,
	obj = {
		[1] = phr('Привет!', 
			'Охранник молча смотрит на тебя из-под своих густых бровей - "Добрый день, мистер '..me().nam..'..." - наконец, говорит он.' ),
		[2] = phr('Как мне попасть в свою лабораторию?', 
			'Охранник с удивлением смотрит на тебя. Его густые брови приподнимаются. - Сейчас, мистер '..me().nam..' - наконец произносит он.\
			Затем медленно отворачивается. Скрывается в подсобке и возвращается с ключом в руках. - Держите - произносит он ледяным и бесцветным \
			голосом, протягивая ключ.', 
		 	[[ inv():add("key");]]),
	},
	way = { 'entrance' },
	exit = function(s)
		if not s.MusSet then
			s.MusSet = true;
			set_music('mus/shortie.xm');
		end
	end,
}

guards = obj {
	nam = "охранники",
	dsc = "Слева от турникета сидят {охранники} и играют в нарды.",
	act = function()
		return goto('guard_dlg')
	end,
	used = function(self, o)
		if o == 'key' then
			inv():del('key')
			guard_dlg:pon(2)
			return "Вы молча отдаете ключ охраннику. Охранник торжественно в полной тишине, забирает ключ."
		else
			return "Зачем это охранникам?"
		end
	end
}

mirror = obj {
	nam = 'зеркало',
	dsc = 'Напротив вас висит {зеркало}.',
	act = 'С зеркала на вас смотрит бледное, изможденное, незнакомое лицо...\
	Вы проводите ладонью по небритой щетине...',
	used = function(self)
		return 'А может... Там что-нибудь... За зеркалом?... Ничего не получается...';
	end
}

code = obj {
	nam = 'бумажка',
	inv = 'На бумажке, ровным почерком Академика написаны цифры: 167xx(не разборчиво).\
	На оборотной стороне надпись: зеркало.',
}

flames = obj {
	nam = 'пламя',
	dsc = 'Стены комнаты в языках {пламени}.',
	act = 'Горячие!',
	used = function(s,o)
		if o == 'map' then
			inv():del('map')
			return goto('theend')
		end
	end
}

theend = room {
	forcedsc = true,
	pic = 'gfx/theend.png',
	nam = 'Эпилог',
	enter = function(s)
		set_music('mus/fly.xm');
	end,
	dsc = [[
Я достал схемы из-за пазухи. На мгновение Академик дернулся ко мне всем телом...
Его губы вытянулись в ухмылку... Но уже в следующий момент он 
понял, что происходит... Еще многие, многие
ночи в моих снах мне будет слышаться его крик...^^
Н Е Е Е Е Е Е Е Е Е Е Т !!!^^
Много дней спустя я смутно вспоминал как
затаскивал бьющееся в истерике тело в лифт... Как выгонял из ВНИЗ'а
людей... Как мы все сидели перед институтом и смотрели на постепенно исчезающие
в языках пламени этажи... Первый, второй... Третий.... А затем здание обрушилось, подняв
в ночное весеннее небо облако искр... ^^
Я никогда не забуду глаза Академика в этот момент. Он повернул ко мне свое лицо...
и я вдруг увидел, увидел, что в его глазах стояли слезы... 
И тогда неожиданно спокойным голосом он сказал мне: ^^
-- Спасибо, друг! -- человеческая, добрая улыбка вспыхнула и осветила его лицо.
А потом мы все плакали, обнимая друг-друга... Узнавая знакомые лица в
свете начинающейся зари...^^
КОНЕЦ^^
 ---^^

История и движок: ^
Косых Петр a.k.a. gl00my // 2009^^

Графика: ^
Косых Петр, несколько фотографий из открытых источников.^^

Музыка: ^
Трэкерная музыка из открытых источников.^^

Если вам понравилась игра, самое лучшее, что вы можете сделать, это написать свою историю на движке instead. :)^^

Другие игры и документация:^
 http://instead.googlecode.com^^

Благодарности:^
Всем тем, кто не мешал. :)^^
]],
obj = { vway('дальше', '{Дальше}','realend') },
};

realend = dlg {
	nam = 'За кадром',
	pic = 'gfx/andrew.png',
	dsc = 'Да, я хотел бы сказать пару слов об этом, с позволения сказать, произведении...',
	obj = {
	[1] = phr('Дальше',  
	'Да, это низкобюджетный фильм и это видно, видно во всем...',[[ pon(2) ]] ),
	[2] = _phr('Дальше',  
	'Взять хотя-бы эту избитую тему института...', [[ pon(3) ]] ),
	[3] = _phr('Дальше',  
	'Или избыточное количество древней трэкерной музыки... Да, я знаю, знаю, что вы хотите сказать!!', [[ pon(4) ]] ),
	[4] = _phr('Дальше',  
	'Oldschool. Indie... Но я вам на это отвечу -- чушь собачья!!! Лучше посмотрите, в каждом фильме у него сортир!!!', [[ pon(5) ]] ),
	[5] = _phr('Дальше',  
	'Нет, нет!! Сейчас не умеют снимать кино... Кино с большой буквы... Все мнят себя великими режиссерами...', [[ pon(6) ]] ),
	[6] = _phr('Дальше',  
	'Что? Зачем я снимался в этом низкобюджетном фильме??? Вы еще спрашиваете!!! Меня обманули!!! Мне обещали одну из главных ролей, а потом...', [[ pon(7) ]]),
	[7] = _phr('Дальше',  
	'Когда я уже подписал контракт -- я прочитал сценарий... Мерзавец... Нет, я не могу больше говорить об этом...', [[ a_dlg.talkgen(a_dlg); pon(8) ]] ),
	[8] = _phr(function () return a_dlg.Ask; end, function() return a_dlg.Answ; end, 'a_dlg.talkgen(a_dlg); pon(8);'),
	},
};

mach = obj {
	nam = 'машина',
	dsc =  function(s)
		if s.Burning then
			return '{Машина} зомбирования в языках пламени...';
		end
		return 'Тусклый мерцающий свет ламп\
	освещает зловещий силуэт {МАШИНЫ}. Да -- это машина зомбирования!\
	Сам ее облик внушает дрожь в коленях...В углах комнаты стоят бочки с топливом --\
	скорее всего питание машины полностью автономно.';
	end,
	act = function(s)
		if s.Burning then
			return 'Как же красиво она горит! Жар все увеличивается...'
		end
		y_dlg:pon(12);
		return 'Вы смотрите на змеиные переплетения черных, смазанных трубочек...\
	На мерцающие в свете ламп чужие детали... Эта машина абсолютно чужда этому миру.\
	Ее необходимо уничтожить? Но как? Она слишком большая. Она часть института.\
	Вы чувствуете, что ее щупальца пронизывают стены, потолки, мешают дышать...\
	Она везде!!! Она -- и есть все это! Что делать? Ваше дыхание учащается...';
	end,
	used = function(s, o)
		if s.Burning then
			return "Надо убираться отсюда!"
		end
		if o == 'can' and can.Full then
			if not s.Benz then
				s.Benz = true
				return 'Вы улыбаетесь... Ваше изможденное лицо излучает какое-то\
			роковое торжество... Вы открываете канистру и обильно опрыскиваете\
			комнату... Гори! Гори -- адская машина!!!'
			end
			return 'Вы еще немного полили машину бензином... Ха!'
		end
		if o == 'matches' and s.Benz then
			s.Burning = true
			underground.obj:add('flames')
			move('academ', 'underground', 'room312');
			academ.State = -1
			return 'Вы чиркаете спичкой об коробок и подносите ее к глазам! Торжество\
			маленького огонька у вас в глазах!!! Вы медленно бросаете спичку...\
			Это мгновение вы запомните навсегда...'
		end
	end
}

machine = room {
	pic = function(s)
		if mach.Burning then
			return 'gfx/mach-burn.png';
		end
		return 'gfx/mach.png';
	end,
	nam = function(s)
		if s.Seen then
			return 'У машины';
		end
		return 'за дверью';
	end,
	dsc = 'Вы в довольно просторном помещении...',
	enter = function(s)
		if keyhole.Locked then
			return 'Вы пытаетесь открыть дверь...\
			Бронь не поддается вашим самоотверженным попыткам.', false
		end
		s.Seen = true;
		return 'Вы вошли в просторное помещение...'
	end,
	way = { 'underground' },
	obj = {'mach'}
}

keyhole = obj {
	nam = 'полость',
	Locked = true,
	dsc = 'В дверь вмонтирован механизм, имеющий пятиугольную {полость}.',
	act = 'Странная штука...',
	used = function(s,o)
		if o == 'd_key' and s.Locked then
			s.Locked = false
			return 'Вы подносите пластинку к полости и дверь с шумом открывается...';
		end
		return 'Увы. Это не поможет.'
	end
}

d_key = obj {
	nam = 'пластина',
	inv = 'Вы рассматриваете странную пластинку... Пятиугольной формы. \
	Со странной выгравированной эмблемой.',
}

underground = room {
	nam = 'Подвал',
	pic = function(s)
		if seen('academ') then
			return 'gfx/academ-burn.png';
		end
		return 'gfx/under.png';
	end,
	enter = function(s) 
		if objs(s):srch('academ') then
			set_music('mus/entity.mod');
		end
		keyhole.Locked = true
	end,
	dsc = function(s)
		if seen('academ') then
			return 'Вы находитесь в подвале. Серые сырые стены... Позади вас находится бронированная дверь.';
		end
		return 'Вы находитесь в подвале. Серые сырые стены... Капли сконденсированной\
	влаги на потолке... Прямо перед собой вы видите\
	бронированную дверь.';
	end,
	exit = function(s)
		if seen('academ') and have('map') then
			return 'Стоять!!! -- хрипит Академик.', false
		end
	end,
	obj = { 'keyhole' },
	way = { 'lift', 'machine', }
}

unused_reader = obj {
	nam = 'cчитыватель карт',
	dsc = 'В дверь встроен {считыватель карточек}.',
	act = 'Обычный считыватель смарт-карт.',
	used = function(self, obj)
		if obj ~= 'card' and obj ~= 't_card' then
			return 'Довольно странное использование считывателя.'
		else
			return 'Бииип... Загорается красная лампочка. В доступе отказано.'
		end
	end
}

unused_floor = room {
	Floor = 7,
	pic = 'gfx/unused-floor.png',
	nam = function(self)
		return "Площадка "..self.Floor.."-его этажа.";
	end,
	dsc = "Вы видите стеклянную дверь, преграждающую путь к лабораториям.",
	way = { 'lift' },
	obj = { 'unused_reader' , vway('лифт', 'За вашей спиной двери {лифта}.', 'lift') },
}

t_card = obj {
	nam = 'карточка техника',
	dsc = 'На краю стола лежит белый {кусочек пластика}.',
	inv = 'Это смарт-карта!',
	act = function(s)
		if not tehnik.Reading then
			return cat('Это мое! -- Говорит Адольф. -- Иди ка ты отсюда, клептоман!^^', back());
		else
			take('t_card');
			return 'Вы тихо протягиваете руку... Пластик у вас в руке!\
			Это карточка!'
		end
	end,
}

shkaf = obj {
	nam = 'шкаф',
	dsc = 'Слева от вас {шкаф} с халатами техников.',
	act = function(s)
		if not tehnik.Reading then
			return 'Адольф отрывается от кроссворда -- Не трогай казенное\
			имущество!';
		end
		if have('halat') then
			return 'Вряд ли вам нужно два халата.'
		end
		inv():add('halat');
		return 'Вы взяли один халат техника.'
	end
}

halat = obj {
	nam = 'халат',
	inv = function(s)
		if here() == tech_room or 
			here() == lift or 
			here() == cabinet or 
			here() == underground or
			here() == machine or
			here() == toilet then
			if not s.Wear then
				s.Wear = true
				return 'Вы одели халат техника.'
			end
			s.Wear = false
			return 'Вы сняли халат техника.'
		elseif here() == floor7 and not s.Wear then
			return 'Гм... Это может помочь! Вас смущает только одно -- камера.'
		else
			if not s.Wear then
				return 'Вам очень нравится халат техника... Это почетная\
				профессия! Но вы опасаетесь, что кто-нибудь заметит, как вы\
				переодеваетесь...';
			end
			return 'Вам надоел белый халат техника, но вы опасаетесь, что кто-нибудь заметит, как вы переодеваетесь...';
		end
	end
}


tehnik = obj {
	nam = 'техник',
	dsc = function(s)
		if s.Reading then
			return 'За столом сидит техник {Адольф} и с упоением читает\
				подшивку Мурзилки.';
		else
			return 'За столом сидит техник {Адольф} и разгадывает кроссворды.';
		end	
	end,
	act = function(s)
		if not s.Reading then
			return ('Ага... Привет '..me().nam..' - произносит Адольф.')
		else
			return 'Ты его прекрасно понимаешь... У него вся Мурзилка за 88 год!';
		end
	end,
	used = function(s, o)
		if o == 'murzilka' then
			inv():del('murzilka')
			s.Reading = true
			return 'Нет... Никогда... -- вы с тоской достаете подшивку и молча\
			протягиваете ее Адольфу... Адольф с интересом смотрит на\
			журналы.. Глаза его округляются... Он выхватывает бумагу из\
			ваших рук...';
		else
			return 'Ого!... Вряд ли автор игры программировал такое действие...';
		end
	end
}

tech_room = room {
	nam = 'Комната техников',
	pic = 'gfx/tech.png',
	dsc = 'Вы находитесь в комнате техников.',
	way = { 'floor2' },
	exit = function(s)
		if halat.Wear then
			return 'Вам не стоит ходить в халате где-попало.. \
			Это выглядит странно. А вдруг вас узнают?', false
		end
	end,
	obj = { 'tehnik', 'shkaf','t_card' },
}

floor2 = room {
	pic = 'gfx/floor2.png',
	nam = "Площадка 2-го этажа",
	dsc = "Вы находитесь на этаже технического обслуживания. Справа от вас\
	приоткрытая деревянная дверь с надписью: 'Технический Персонал'.",
	way = { 'tech_room', 'lift' },
}

reader_c = obj {
	nam = 'считыватель карт (корридор)',
	dsc = function()
		if here() == floor3 then
			return 'Вы видите стеклянную дверь, преграждающую путь к лабораториям. В дверь встроен {считыватель карточек}. За вашей спиной двери лифта.'
		else
			return "Стеклянная дверь ведет к лифту. В дверь встроен {считыватель карточек}."
		end
	end,
	act = 'Обычный считыватель смарт-карт.',
	Pass = true,
	used = function(self, obj)
		if (obj ~= 'card' and obj ~= 't_card') then
			return 'Довольно странное использование считывателя.'
		else
			if obj == 't_card' then
				return 'Биип... В доступе отказано'
			end
			self.Pass = true
			return 'Бииип... Загорается зеленая лампочка. \
			Механизм блокирования двери глухо щелкает.';
		end
	end
}

reader_t = obj {
	nam = 'считыватель карт (туалет)',
	dsc = 'Еще одна стеклянная дверь с {считывателем} ведет в туалет.',
	act = 'Обычный считыватель смарт-карт.',
	Pass = true,
	used = function(self, obj)
		return reader_c.used(self, obj)
	end
}

door_pass_msg = "Вы открыли стеклянную дверь и прошли сквозь дверной проем. \
			За вашей спиной пискнул считыватель карт, снова блокируя дверь."
door_fail_msg = "Вы шагнули к двери. Ваш лоб, встретившись со стеклом, инертно и упруго \
			отскочил от двери. 'Закрытая дверь!' -- \
			как молния пронеслась в голове мысль."
water = obj {
	nam = 'вода',
	dsc = 'Из крана в умывальнике, тонким, но уверенным потоком, льется\
		жестко-хлорированная {вода}.',
	act = 'Уфффф.... Вы сделали несколько глотков... Какая концентрация хлора\
		в этой воде?',
}

matches = obj {
	nam = 'спички',
	dsc = 'На умывальнике кто-то оставил коробок {спичек}.',
	inv = 'Вы чиркаете спичкой по коробку и смотрите как\
		дерево медленно превращается в черную угольную массу...\
		Мнда....',
	tak = 'Вдруг пригодится...',
}

tube = obj {
	nam = 'трубка',
	inv = 'Трубка с запахом... Резиновая трубка... Гм... Зачем она мне?',
}

unitaz = obj {
	nam = 'унитаз',
	dsc = 'В туалете установлены три {унитаза}.',
	act = function(self)
		local v = 'Вы тщательно обследовали все унитазы.';
		if not self.Tube then
			v = v..' Под одним из унитазов\
		вы обнаружили резиновую трубку... Гм... Кто и как ее мог использовать?\
		Уверенным движением вы отправляете трубку себе в карман.';
			take('tube')
			self.Tube = true;
		else
			v = v..' Пусто...';
		end
		return v
	end
}

toilet = room {
	pic = 'gfx/toilet.png',
	nam = "Туалет",
	dsc = 'Вы находитесь в туалете. Запах хлора мешает сосредоточиться.',
	enter = function(self, from)
		if from ~= 'floor3' then
			return nil
		end
		if reader_t.Pass or self.Was then
			reader_t.Pass = false
			self.Was = true;
			return door_pass_msg
		else
			return door_fail_msg, false
		end	
	end,
	way = {'floor3'},
	obj = {'water', 'matches', 'unitaz'}
}

can = obj {
	nam  = 'канистра',
	dsc = 'Странно... Под ногами валяется ржавая {канистра}... Откуда она здесь?',
	tak = 'Вы взяли канистру...';
	inv = function(s)
		if s.Full then
			return 'Канистра полная бензина... Хе-хе-хе...'
		end
		return 'Пустая канистра...'
	end
}

floor6 = room {
	nam = 'Шестой этаж',
	pic = 'gfx/floor6.png',
	dsc = "За стеклянной дверью вы видите яркий свет. Роскошные ковры... Буйство красок...\
	Слуги в ливреях. Вам здесь определенно не место.",
	way = { 'lift' },
	obj = { 'unused_reader','can' },
}

t_reader = obj {
	nam = 'считыватель',
	Closed = true,
	dsc = 'На правом косяке двери установлен {считыватель карточек}.',
	act = 'Этот считыватель внешне выглядит как обычный считыватель.',
	used = function(s, o)
		if o == 'card' then
			return 'Биип!... В доступе отказано...'
		elseif o == 't_card' then
			s.Closed = false
			return 'Биип!... На считывателе загорается зеленая лампочка!'
		end
	end,
}

apparatus = obj {
	Time = 0,
	nam = 'аппарат',
	dsc = function(s)
		if s.Broken then
			return "В дальнем углу дымится разрушенный {АППАРАТ}."
		end
		return "В дальнем углу лаборатории расположен {АППАРАТ}."
	end,	
	act = function(s)
		if s.Broken then
			return "Корпус аппарата разрушен... Бесформенная груда железа...";
		end
		return "Вы не можете отделаться от мысли, что АППАРАТ живой... Он\
	составлен из множества кривых трубочек и схем. Серый металл зловеще отражает\
	слабые флоуресцентные лампы лаборатории... Машину питают источники бесперебойного\
	питания и силовые кабели, протянутые по потолку.";
	end,
	life = function(s)
		s.Time = s.Time + 1
		if s.Time > 5 then
			s.Broken = true
			s.Detonated = false
			lifeoff('apparatus');
			set_music('mus/boom.wav', 1);
			return "Вдруг раздается приглушенный взрыв и крики... Сработало!!!"
		end
	end,
	used = function(s, o)
		if o ~= 'dynamit' then
			return 'Это интересная мысль! Но не сработает...'
		end
		s.Detonated = true
		inv():del('dynamit')
		lifeon('apparatus');
		return cat('Вы медленно подходите к АППАРАТУ. Вблизи он оказывается гораздо\
			больших размеров. Вы смотрите на мигающие лампочки и черную сталь...\
			Но... Надо делать дело... Незаметно, вы просовываете под машину динамит,\
			нажимаете кнопку и медленно уходите из комнаты.^^', goto('floor7'));
	end
}

tea = obj {
	nam = 'чай',
	dsc = 'На краешке стола стоит и дымится кружка свежезаваренного {чая}...',
	inv = 'Ага, когда судьба Галактики в ваших руках, самое время пить чай!',
	act = function(s)
		if seen('cup') then
			take('tea')
			return 'Вы незаметно взяли чай Академика. Ваша кружка осталась на\
			столе';
		else
			return '- ВНИЗ -- читаете вы на кружке. Это фирменная кружка, Академик\
		сам заказал партию таких кружек для сотрудников ВНИЗа';
		end
	end,
	used = function(s, o)
		if o == 'snotv' then
			return 'Это будет слишком заметно...'
		end
		if o == 'cup' then
			return 'Поставить одну кружку на другую? Не понимаю...';
		end
		return 'Гм... Воздержусь...'
	end
}

function m_end()
	m_dlg:pon(9)
	academ.State = 4
	move('academ','room312','street');
	room312.obj:add('tea')
	return [[Вы рассказываете Ноздрычу остальную часть правды. По мере вашего рассказа,
умные глаза Ноздрыча грустнеют. Наконец, он произносит. -- Это большая беда! Вы должны спасти мир!
Теперь я понимаю. Аппарат, который я собрал, был первым уровнем внедрения, его цель -- сделать
из меня схему, инструкцию... Первый уровень возможен только с произволения жертвы -- я сам
стал этой жертвой -- Ноздрыч ткнул себя в грудь. -- Теперь череда уровня два -- полное
порабощение мира... И только вы можете остановить Академика! Академик не остановится не перед
чем, в отличие от меня он принял решение в здравом уме, и это значит, что если его не 
остановить... -- Ноздрыч сделал драматическую паузу...]]
end

map = obj {
	nam = 'cхема',
	inv = "Это схема машины! Я в ней ничего не понимаю...",
}

m_dlg = dlg {
	nam = "Диалог с Ноздрычем",
	pic = 'gfx/nozdrch.png',
	dsc = function(s)
		return "Кто здесь? Где я? Произносит Ноздрыч, и вы снова с содроганием вспоминаете \
		этот ГОЛОС. Голос НЕИЗВЕСТНОГО!"
	end,
	obj = {
		[1] = phr('Здесь вопросы задаю я!', 'Что? Какие вопросы? -- видно, что Ноздрыч не в себе.'),
		[2] = phr('Я сотрудник ВНИЗ. Я ошибся дверью! Простите!', 'Что? Какой ВНИЗ? -- видно,\
		что Ноздрыч не в себе, этим надо воспользоваться!', 'pon(3,4)'),
		[3] = _phr("Отвечай, злодей! Как остановить Академика?", 'Какой Академик? Оставьте меня! \
	-- трет лоб Ноздрыч...'),
		[4] = _phr("Кто вы? Вы помните хотя бы это?...", '- Кто я?... Я ... О... Нет... Я кажется\
	вспоминаю....', 'pon(5)'),
		[5] = _phr("Итак?", "Да... Я кажется что-то вспоминаю... Ноздрыч поднял свои полные\
	мук глаза -- это все сигнал...", 'pon(6)'),
		[6] = _phr("Какой сигнал?", "Сейчас, мне надо подумать... Да... Когда-то я работал\
	в обсерватории -- голос Ноздрыча загудел в кабинете -- были хорошие деньки!\
	Мы с ребятами искали сигналы внеземных цивилизаций... Романтика! -- повел рукой\
	Ноздрыч! Он явно приходил в себя. -- Но вот это случилось, я поймал сигнал!\
	Он был разумен этот сигнал!!! Ноздрыч невесело улыбнулся. \
	Сигнал мы принимали долго -- около года... Он\
	помолчал и нахмурился. -- И все это время я пытался расшифровать его. И однажды,\
	это случилось!!! Я все понял! Вдруг! Озарение! Это была инструкция! Схема! \
	Схема какого-то аппарата! Я начал\
	собирать его день за днем, по инструкции... Выполнил настройку. Она была тонкая, эта\
	настройка... Фактически, я сам стал настройкой.. Как я сейчас понимаю... И я включил\
	аппарат! Это все что я помню.... Потом какая-то тьма... Ммммм... Ноздрыч сжал\
	голову руками... - Оставьте меня...", "pon(7); set_music('mus/stars.xm');"),
		[7] = _phr('Но неужели вы ничего не знаете о Машине?', 'Какая машина? -- Ноздрыч \
	смотрит на вас с интересом.',"pon(8)"),
		[8] = _phr('Машина зомбирования! Которую строит Академик. Где ее найти?', 
	"Расскажите мне все, что знаете -- произносит Ноздрыч.", 'return m_end()'),
		[9] = _phr("Но как найти Машину?", "Я думаю это знает только Академик. Будем соблюдать\
	осторожность! Я останусь здесь, так как Академик не знает об истинном назначении Аппарата\
	и, следовательно, не может знать, что я ваш союзник.\
	А вы должны, каким-то образом узнать информацию о том, как добраться к машине... Я думаю\
	надо более тщательно обыскать его кабинет... Возможно, что-то можно найти здесь... --\
	Ноздрыч порылся по карманам и достал пачку бумаг. -- Смотрите! Это может \
	вам понадобится!", "inv():add('map'); pon(10);"),
		[10] = _phr("До встречи.", "Увидимся ли? -- грустит Ноздрыч", 'back()'),
	}
}

nozdrch = obj {
	nam = 'Ноздрыч',
	dsc = "В глубоком кресле лежит {Ноздрыч}... Он обмяк, его глаза закрыты...",
	act = function()
		return cat('Глаза Ноздрыча подрагивают -- он смотрит на вас.', goto('m_dlg'));
	end
}

cabinet = room {
	pic = 'gfx/ncab.png',
	nam = "Кабинет Ноздрыча",
	dsc = "Вы в кабинете Ноздрыча.",
	enter = function(s)
		if not apparatus.Broken then
			return " - Нет... Это будет выглядеть подозрительно... Что я скажу Ноздрычу?", false
		end
		return "Вы подходите к двери, обитой красной кожей и медленно\
			поворачиваете ручку...";
	end,
	obj = { 'nozdrch' },
	way = { 'labmn' }
}

labmn = room {
	pic = function(s)
		if apparatus.Broken then
			return 'gfx/labmn-broken.png';
		end
		return 'gfx/labmn.png';
	end,
	nam = "Лаборатория Ноздрыча",
	dsc = function(s)
		local v="Вы в лаборатории Ноздрыча.";
		if apparatus.Broken then
			return v..' В лаборатории паника... Никто не обращает на вас внимания.'
		end
		return v..' В лаборатории несколько техников. Никто не обращает на вас\
			внимания...'
	end,
	enter = function(s)
		if apparatus.Broken then
			set_music('mus/ambient.xm');
		end
		if apparatus.Detonated then
			return 'А вдруг сейчас рванет? Нет, лучше остаться снаружи!', false
		elseif not halat.Wear then
			t_reader.Closed = true;
			return 'В лаборатории несколько техников. Один из техников\
			оборачивается и смотрит на тебя...\
			-- Только для техников! -- орет он. Вы поспешно уходите из\
			лаборатории...', false
		end
	end,
	act = function(o,c)
		if c == 1 then
			return '"Ноздрыч" -- лаконично написано на табличке.';
		end
	end,
	way = {'floor7','cabinet'},
	obj = {vobj(1, 'табличка', 'Слева от вас дверь, обитая красной кожей. На двери -- {табличка}.'), 'apparatus'},
}

floor7 = room {
	pic = 'gfx/floor7.png',
	nam = "Площадка 7-го этажа",
	dsc = "Вы находитесь на последнем этаже. Слева, вы видите металлическую дверь.",
	enter = function(s) t_reader.Closed = true; end,	
	act = function(s,c)
		if c == 1 then
			return 'На двери написано: Лаборатория MN. \
				ТОЛЬКО ДЛЯ ОБСЛУЖИВАЮЩЕГО ПЕРСОНАЛА!!!';
		elseif c == 2 then
			return 'Вы не можете отделаться от мысли, что за вами следят.';
		end
	end,
	exit = function(s, to)
		if to == 'labmn' then
			if t_reader.Closed then
				return door_fail_msg, false
			end
			return door_pass_msg
		end
	end,
	obj = {'t_reader', vobj(1, 'табличка', 'На двери висит {табличка}.'), vobj(2, 'камера', 'Над дверью висит {камера} слежения.') },
	way = {'labmn','lift'},
}

floor3 = room { 
	pic = 'gfx/floor3.png',
	nam = "Площадка 3-его этажа.",
	enter = function()
		reader_c.Pass = false
		reader_t.Pass = false
	end,
	dsc = "Вы находитесь на 3-м этаже.",
	way = { 'lift', 'corridor','toilet' },
	obj = { 'reader_c', 'reader_t' }	
}

door300 = obj {
	nam = 'дверь 300',
	dsc = 'Дверь с надписью {LAB 300}.',
	Locked = true,
	act = function(self)
		return goto('room300')
	end,
	used = function(self, o)
		if (o == 'key') then
			self.Locked = false
			inv():del('key')
			return "Вы долго пытаетесь воткнуть ключ в замочную скважину.\
			Наконец, вам удается это сделать... Еще немного и... Замок открыт!\
			Ключ остался в замке.";
		end
	end
}

door312 = obj {
	nam = 'дверь 312',
	dsc = 'Дверь {кабинета Академика}.',
	act = function(self)
		return goto('room312')
	end,
}

tabl = obj {
	nam = 'стол',
	dsc = '{Стол} занимает большую часть помещения.',
	act = 'Вы гладите рукой поверхность стола... Да... Это -- стол.',
	used = function(s, o)
		if o == 'cup' then
			if apparatus.Broken and cup.Tea and cup.Snotv and
				seen('tea') then
				drop('cup')
				return 'Вы незаметно поставили свою кружку возле кружки Академика';
			else
				return 'А вы сами понимаете, что делаете?'
			end
		end
	end
}


murzilka = obj {
	nam = 'мурзилка',
	dsc = 'Еще на дне тумбы лежит пачка {журналов}.',
	inv = 'Это не может быть правдой! Но это правда!!! \
			    Подписка Мурзилки за 88 год ваша!!!';
	tak = 'Это настоящий клад!!! Подшивка Мурзилки за 88 год!\
		    вы этого не можете так здесь оставить. Не взирая на опасность\
		    вы протягиваете дрожащую руку и пачка журналов скрывается\
		    у вас за пазухой';    
	use = function(s, o)
		if o == 'yury' or o == 'guards' or o == 'andrew' then
			return 'Расстаться с Мурзилкой? Никогда!';
		end
		return 'Мне дороги эти журналы!';
	end
}

shelf = room {
	pic = 'gfx/shelf.png',
	nam = 'Исследование тумбы',
	dsc = 'Пригнувшись, вы заглядываете внутрь тумбочки...',
	act = function(s,n)
		if n == 1 then
			if not apparatus.Broken and not have('dynamit') then
				y_dlg:pon(8)
			end
			return [[
Вы берете в руки синюю книжку. Открываете. Перелистываете... Это дневник Академика.
Перед вашими глазами проносятся события полные драматизма...^
^
13 сентября^
Сегодня мне в институт позвонил интересный человек. Это мистер с труднопроизносимым
именем Ноздрыч. Он работает заведующим обсерватории и настоятельно просит приехать к нему
в обсерваторию. Говорит, что мне будет интересно. От предложения приехать к нам как то
нервно отказался.^
^
15 сентября^
Сегодня беседовал с мистером Ноздрычом у него в обсерватории. Много эмоций, но обо всем по-порядку.
Эта обсерватория -- унылое место. Похоже, что Ноздрыч единственный ее обитатель, он встретил
меня в комнате, большую часть которой представляет собой странный аппарат.. Не знаю, глупость
и предрассудки конечно, но мне он (аппарат) показался зловещим. Сам Ноздрыч показался мне
немного не в себе, как то растягивал слова, взгляд не цепкий, плавающий... Но то что он мне
предложил -- это цель моей жизни! Он предложил мне весь мир! Но я забегаю вперед.^^
Ноздрыч обладает инструкцией машины по зомбированию! Но у него нет возможности ее построить и
запрограммировать. Какая ирония судьбы! Он просто нашел мой телефон в одном из журналов!
В это слабо верится, но он покорил меня детальным описанием узлов машины -- я мало что понял,
но у меня в институте есть люди, способные с этим разобраться... Я предложил ему перебраться
к нам в институт... Но он как то нервно обернулся, глядя на странный аппарат, и сказал, что
еще не время... Я обещал ему начать подготовительные работы...^
^
11 Января^
Работы идут полным ходом! Место нахождения машины по-моему очень удачно! 
Сегодня переименовал наш институт... Никто и не догадывается, что означает новое
название!... Ха - ха - ха...^
^
21 Июня^
Машина достроена! Я созвонился с Ноздрычем и он дал согласие ее испытать. 
Конечно для малого радиуса действия. Испытание на завтра!^
^
22 Июня^
Это провал! 80% сотрудников сошло с ума! Каким-то чудом один из сотрудников (это Юрий)
помнит все события. Дал приказ службе не выпускать его из института. К счастью, его психика
слишком разрушена, что бы он представлял собой реальную опасность... Пусть пока поиграет...^
^
16 Июля^
Причина ясна -- неверно написана программа. К сожалению, после испытания машины некому продолжить
работы. Начинаю новый набор сотрудников. Главное -- осторожность!^
^
29 Августа^
Фортуна меня любит! Требуемый специалист найден! Это ]]..me().nam..[[. Работал с той темой, 
которая нам интересна! Создал все условия для работы!! Скоро!!! Скоро!!!^
^
14 Марта^
Давно не писал. Некогда. Почти все готово. Я созвонился с Ноздрычем. В этот раз он сам выразил
свое желание приехать к нам. Приезжает завтра.^
^
15 Марта^
Как странно, Ноздрыч приехал со своим аппаратом. Его привезла бронированная машина. Он настоял
на то, что бы его расположили рядом с аппаратом. Я выделил им (ИМ!) 7-й этаж. Допуск
сотрудников ограничен техниками, для обслуживания машины. На этом настоял сам Ноздрыч.
Как это странно... Я думаю мы начнем испытания машины через пару дней...
P.S. Меня начал беспокоить ]]..me().nam..[[. Надо присмотреть за ним, пока он еще нужен,
но потом.... Потом будет уже не важно!^^
Гм... Похоже, надо навестить Ноздрыча... 
]]
		else
			return [[
Указ N113^^
В связи с указом N112 об ограничении допуска сотрудников в лаборатории 7 этажа, и
особенно к объекту А, постановляю: ^
 - Ввести контрольно-пропускной режим для лабораторий 7-го этажа.^
 - Разрешить допуск в лаборатории 7-го этажа только обслуживающему персоналу.^^
 - Переместить обслуживающий персонал в лабораторию 2-го этажа, в целях предотвращения
 утечки информации.^^
18 марта.]];
		end
	end,
	way = { 'room312' },
	obj = { vobj(1, 'синяя книга', 'Итак, вы видите следующие вещи: синюю {книгу},'), vobj(2, 'бумаги', 'пачку {бумаг}.'), 'murzilka' },
}

tumba = obj {
	nam = 'тумба',
	Locked = true,
	dsc = 'В столе Академика находится массивная {тумбочка}, в которой Академик хранит \
		личные бумаги...',
	act = function(s)
		if academ.State ~= 3 and academ.State ~= 5 then
			return 'Нечего и думать о том, чтобы делать это при Академике...';
		end
		if s.Locked then
			return 'Гм... Кажется тумбочка закрыта...';
		end
		return goto('shelf')
	end,
	used = function(s, o)
		if academ.State ~= 3 then
			return 'Но Академик заметит ваш хитрый план...'
		end
		if o ~= 'otmychka' then
			return 'Код игры не рассчитан на такой умный ход...'
		end
		if s.Locked then
			s.Locked = false
			return 'С минуту вы копаетесь отмычкой в замке.... Есть!\
			Вы открываете тумбу... Бумаги... Много бумаг!';
		else
			s.Locked = true
			return 'Немного повозившись, вы закрываете тумбу.';
		end
	end
}
window = obj {
	nam = 'окно',
	dsc = 'Слева от вас немытое {окно}, выходящее на стоянку машин...',
	act = function()
		local v =  'Вы подходите к окну и обозреваете унылый пейзаж... ';
		if cars_d.Burning  then
			v = v..'Отблески красноватого пламени играют по поверхности стекла... ';
		end
		if seen('academ') and not apparatus.Broken then
			v = v..'Академик внезапно замечает вас, он тоже косится в окно -- \
			где-то там стоит его новенькая машина. ';
			if cars_d.Burning then
				move('academ', 'street');
				academ.State = 3 
				return v..'Глаза Академика стекленеют...\
				Он быстро оборачивается и исчезает из комнаты.';
			else
				return v..'Затем Академик теряет интерес к происходящему. Мускулы\
				его лица расслабляются.'
			end
		end
		return v;
	end
}

d_dlg = dlg {
	pic = 'gfx/academ.png',
	nam = 'Разговор с Академиком',
	dsc = 'Гм... В самом деле... - говорит Академик. Я хотел узнать как НАШИ дела? -\
	Академик пронзительно смотрит прямо в глаза. Его улыбка медленно растягивается...',
	obj = {
		[1] = phr('Уже почти все готово.', '- Это ОЧЕНЬ, ОЧЕНЬ хорошо... \
		- потирает ладонями Академик.', [[academ.State = 2; pon(1); back();]]),
		[2] = phr('Я хотел сказать, что у меня есть пара вопросов...',
		'Академик темнеет, его улыбка дрожит --\
	Сейчас не время вопросов -- произносит он ледяным голосом -- \
		Я спрашиваю как ВАШИ дела?'),
	},
}

d_dlg2 = dlg {
	pic = 'gfx/academ.png',
	nam = 'Разговор с Академиком',
	dsc = ' - Кто же предатель? -- Академик смотрит прямо вам в глаза. Холодный\
	озноб проходит по вашему телу...',
	obj = {
		[1] = phr('А что случилось?. Я работал...', '- Это ОЧЕНЬ, ОЧЕНЬ хорошо... \
		- потирает ладонями Академик. -- Работайте! Работайте! А все это --\
		Академик машет рукой -- Пустяки!!! Его рот растягивается в улыбке...'),
		[2] = _phr('Я хотел сказать, что работы почти закончены!',
		'Замечательно! Замечательно!!! Рад это слышать!!! -- Академик\
		потирает сухие ладони.', 'academ.Happy = true;'),
		[3] = _phr('Я должен работать!', 'Да! Да... Конечно! -- работать, надо работать!',
		'academ.Happy = true;'),
	}
}

-- 0 -- initial, 1 -- talking, 2 -- already talked, 3 -- burning car, 4 -- after explosiv
-- 5 -- sleep

academ = obj {	
	nam = 'Академик',
	State = 0,
	dsc = function(s)
		if here() == underground then
			return 'Перед вами безумный оскал {Академика}. В его глазах\
			играют огоньки пламени.'
		end
		if here() == street then
			return 'На некотором расстоянии стоит {Академик} и смотрит на\
			    останки машины... Его кулаки крепко сжаты...';
		elseif s.State == 5 then
			return 'Уронив голову на стол, в кресле спит {Академик}.';
		else
			return 'За столом сложив пальцы рук в замок восседает {Академик}... \
		Он смотрит куда-то в даль...\
		В его глазах отрешенность...';
		end
	end,
	
	say = { " Ммммм... Я вот думаю, что.... - говорит Академик.",
                " Хотя нет, как бы это сказать.. - бурчит Академик..",
                " Хммм.... Академик разводит руками, силясь что-то сказать.",
                " Понимаешь, вот как бы лучше сделать так... - говорит Академик..",
		" Я все думаю, думаю, думаю... - шепчет Академик..",
	},
	
	act = function(s)
		if here() == underground then
			return 'Отдай мне схемы! Схемы -- хрипло кричит Академик.\
			В его руке блестит черная сталь. Похоже -- он не шутит!'
		end

		if s.State == 0 then -- idle
			s.State = 1
			return 'Ааа... Это ты... Хорошо, что ты зашел... У меня есть пару мыслей... - \
			произносит Академик.'
		elseif s.State == 1 then
			return 'Академик не слышит тебя. Он погружен в свои мысли...';	
		elseif s.State == 3 then
			return 'Может лучше не беспокоить его в такую минуту?';
		elseif s.State == 4 then
			if room312.obj:srch('cup') and room312.obj:srch('tea') then
				return "- Ты тут чашку свою забыл. -- Говорит Академик.";
			end
			d_dlg2.pon(2)
			return cat('Да.. Мы уже разговаривали сегодня... Но нас отвлекли... --\
			тут Академик морщится -- Они, без сомнения, заплатят за все.^^', goto('d_dlg2'))
		elseif s.State == 5 then
			if have('code') and have('d_key') then
				return 'Все! Хватит! Я ненавижу обыски...'
			end
			if have('code') then
				inv():add('d_key')
				return 'Вы уже обыскивали Академика... Хватит...  Или не хватит?\
				Вы снова копаетесь в карманах Академика. В переднем кармане брюк\
				вы нащупали что-то твердое!';
			end
			inv():add('code')
			return 'Да.. Нехорошо, но это единственный шанс что-то узнать...\
			вы роетесь в пиджаке Академика... Что-то есть! Вы достаете из\
			внутреннего кармана маленький клочок бумаги...';
		else	
			return cat('Да... Я вроде бы вас сегодня видел... Кажется у меня был вопрос...^^', goto('d_dlg'))	
		end
	end,
	life = function(s)
		if here() ~= room312 and here() ~= d_dlg and here() ~= d_dlg2 then
			if s.State == 4 and room312.obj:srch('cup') and 
				not room312.obj:srch('tea') then
				s.State = 5
				lifeoff('academ');
			end
		elseif s.State == 1 and here() == room312 then
			return s.say[rnd(5)];
		end		
	end,
	used = function(s,o)
		if here() == underground then
			if o == 'map' then
				return 'Но тогда он завладеет миром! Он наймет новых сотрудников,\
				и не будет никого, кто-бы остановил его!!! Нет! Никогда!';
			end
			inv():del(o)
			return ('Академик отбивается пистолетом. -- Схемы! Предатель! Где схемы?');
		end
	end
}

room312 = room {
	nam = 'Кабинет Академика',
	dsc = 'Вы находитесь в кабинете Академика. Сотни раз вы видели эти зловещие стены.',
	pic = function(s)
		if not seen('academ') then
			return 'gfx/r312-empty.png';
		end
		if academ.State == 5 then
			return 'gfx/r312-sleep.png';
		end
		return 'gfx/r312.png';
	end,
	enter = function(self, from)
		if from == 'corridor' then
			save_music(self);
			set_music('mus/december.xm');
			return 'Вы стучите по деревянной поверхности и открываете\
			дверь кабинета Академика...';
		end
		academ.Happy = false
	end,	
	exit = function(self, to)
		if to == 'd_dlg2' or to == 'd_dlg' or to == 'shelf' then
			return
		end
		if academ.State == 1 then
			return cat("Вы пытаетесь выйти из комнаты, но Академик вялым\
			движением руки останавливает тебя..",'^^', goto('d_dlg')), false
		end
		if academ.State == 4 and not academ.Happy then
			local v="Вы пытаетесь выйти из комнаты, но Академик вялым\
			движением руки останавливает тебя.. -- А вас я попрошу остаться --\
			мурлычет он.^^"
			d_dlg2:pon(3)
			return cat(v, goto('d_dlg2')), false;
		end
		restore_music(self);
		return 'Вы покидаете кабинет Академика';
	end,
	way = { 'corridor' },
	obj = { 'tabl', 'tumba', 'academ', 'window' }
}

door314 = obj {
	nam = 'дверь 314',
	dsc = 'Дверь с надписью {LAB 314}.',
	act = function(self)
		return goto('room314')
	end,
}

door316 = obj {
	nam = 'дверь 316',
	dsc = 'Дверь с надписью {LAB 316}.',
	act = function(self)
		return goto('room316')
	end,
}


zavarka = obj {
	nam = 'пакетик',
	inv = 'Вы берете пакетик за ниточку и рассматриваете его сквозь\
	тусклые лучи... Хм... Чаинки...'
}

snotv = obj {
	nam = 'снотворное',
	inv = 'Вы разглядываете снотворное на свет. А может -- выпить? И нет проблем?\
	Ну уж нет...',
}

a_dlg = dlg {
	pic = 'gfx/andrew.png',
	nam = 'Разговор с Андреем',
	dsc = 'Андрей смотрит на тебя счастливыми, но грустными глазами. Он предвкушает беседу.',
	ask = { 
		'Угу...?',
		'Ммм...?',
		'Да...?',
		'Неужели...?',
		'Вот так, да..',
	},
	answ1 = {
		'надо отметить, это удивительно',
		'я полагаю, для этого есть все основания',
		'я сам удивляюсь этому',
		'я всегда это говорил',
		',кстати, поэтому я здесь',
		'я не побоюсь сказать тебе прямо в глаза',
		'не стоит этому удивляться',
		'как всегда, это удачная мысль',
		'конечно, тебе никто здесь этого не скажет',
		'эта мысль не дает мне покоя',
		'само по себе это очень важно',
		'я бы хотел, чтобы ты это услышал',
	},
	answ2 = {
		'хастл -- отличный танец.',
		'они все безумны.',
		'однажды ОНИ уже пытались испытать машину.',
		'осенью проявления депрессии увеличиваются...',
		'я пью снотворное на ночь, так как часто не могу уснуть...',
		'я не люблю болтунов.',
		'ты настоящий псих.',
		'нельзя забывать зачем ты здесь.',
		'мне не с кем тут поговорить по душам.',
		'я умею хорошо шутить.',
		'мой капитал -- это интеллект',
		'я гений, или псих...',
	},
	answ = {
		'Я хочу сказать',
		'Я должен раскрыть тебе секрет',
		'Я уверен',
		'Иногда я вспоминаю о том',
		'Это забавно',
		'На самом деле, всем видно',
		'Не нужно забывать о том',
		'Однажды я понял',
		'Теперь ты знаешь',
		'Сейчас я расскажу тебе о том',
		'Я смотрю, ты догадываешься',
		'Ты наверное уже понял',
	},
	Last_a = 0,
	Last_b = 0,
	Last_c = 0,
	Last_num = 0,
	talkgen = function(self)
		self.Ask = self.ask[rnd(5)]
		local i
		local a,b,c
		a = rnd(12)
		b = rnd(12)
		c = rnd(12)
		while a == self.Last_a do
			a = rnd(12)
		end
		while b == self.Last_b do
			b = rnd(12)
		end
		while c == self.Last_c do
			c = rnd(12)
		end
		self.Last_a = a
		self.Last_b = b
		self.Last_c = c
		self.Last_num = self.Last_num + 1
		self.Answ = self.answ[a]..', и '..self.answ1[b]..
			', что '..self.answ2[c]
		self:pon(7);
		self:poff(1, 2, 3, 4, 5, 6);
		if (self.Last_num > 10 and here() ~= realend) then
			self:poff(7);
			self:pon(2,4,6);
			if not snotv.Taken then
				self:pon(5);
			end
			self.Last_num = 0
		end	
	end,
	exit = function(s)
		s:pon(1);
		s:poff(2, 3, 4, 5, 6, 7);
	end,
	obj = {
		[1] = phr('Привет Андрей! Не ответишь на пару вопросов?', 'Как хорошо! А то мне не с кем поговорить! - говорит Андрей',
			'a_dlg.talkgen(a_dlg);'),
		[2] = _phr('Ты по-моему повторяешься...', 'Андрей обиженно отворачивается....', 'back();'),
		[3] = _phr('Андрей, я устал...', 'Я тоже часто устаю -- доверительно говорит Андрей...', 'a_dlg.talkgen(a_dlg);'),
		[4] = _phr('Кажется, ты что то сказал про машину?...', 'Да! Вот послушай... -- отвечает Андрей...','a_dlg.talkgen(a_dlg);'),
		[5] = _phr('Андрей, ты по-моему сильно возбужден!..', '- Да, отвечает Андрей - но у меня есть это -- он протягивает вам\
		что-то в руке...', 'inv():add("snotv");snotv.Taken = true; back();'),
		[6] = _phr('Андрей, я мало что понял...', 'Это потому, что ты невнимательно слушал! -- отвечает Андрей...', 'a_dlg.talkgen(a_dlg);'),
		[7] = _phr(function () return here().Ask; end, function() return here().Answ; end, 'a_dlg.talkgen(a_dlg);'),
	},
}

andrew = obj {
	nam = 'Андрей',
	ph = {
		'Андрей заливается смехом.',
		'Андрей рассказал анекдот.',
		'Андрей встает и о чем-то долго рассказывает.',
		'Андрей улыбается своим мыслям.',
		'Андрей лукаво смотрит на тебя, очевидно проговаривая про себя шутку.',
		'Андрей ерзает на стуле, ему отчаянно хочется что-то сказать...',
		'Андрей встает и после бурного, продолжительного монолога -- затихает.'
	},
	dsc = 'В правом углу сидит {Андрей}. Он крайне возбужден.',
	life = function(s)
		local l = rnd(16)
		if (l<8) then
			return (s.ph[l])
		end
	end,
	act = function(self)
		return goto('a_dlg')
	end
}

artem = obj {
	nam = 'Артемий',
	dsc = 'В левом углу комнаты сидит {Артемий}.',
	act = 'Йе равно эм цэ квадрат... Йе равно эм це квадрат... -- бубнит Артемий.'
}

ilya = obj {
	nam = 'Илья',
	dsc = 'Напротив вас искаженное лицо {Ильи}. Краем глаза вы видите,\
	как он тихонько подсматривает за вами... Уголки его губ натянуты...',
	act = '-- Андрей иногда говорит правильные вещи -- шепчет Илья. Мы\
	здесь все безумны -- но в его безумии есть что-то... Хи-хи-хи...',
	ph = {
		'Илья внезапно извивает все свое тело в неестественную пружину...--\
		О нет -- думаете вы -- это какое-то безумие...',
		'Илья начинает стучать каблуками по полу -- его ритм ужасающе точен...',
		'Илья визжит. Его глаза совершенно безумны -- рот скалит улыбку...'
	},
	life = function(s)
		local r = rnd(6)
		if r<4 then
			return (s.ph[r])
		end
	end
}

p_dlg = dlg {
	pic = 'gfx/pkun.png',
	nam = 'разговор с Пкуном',
	dsc = 'Пкун смотрит на вас внимательным и в тоже время отсутствующим \
	взглядом... ',
	obj = { [1] = phr('Дай наушники поносить!', '- Аааааа - Пкун вжимается в стену и \
	дергается в конвульсиях... Похоже плохая была идея...', 'pon(1); back();'),
		[2] = phr('Ты меня слышишь?!!!', 'Нет -- ровным голосом говорит Пкун и \
	отворачивается от тебя. -- И держись от МАШИНЫ подальше -- заканчивает Пкун.\
	Скупая мужская слеза сползает по его небритой розовой щеке...'),
	},
	way = {'room314'},
}

pkun = obj {
	nam = 'Пкун',
	dsc = 'В правом углу, у окна сидит {Пкун}. Пкун в наушниках. Ты никогда\
	не видел его без наушников.',
	act = function()
		return goto('p_dlg')
	end
}

podstavka = obj {
	nam = 'подставка',
	dsc = 'На столе в углу стоит {подставка} электрического чайника.',
	act = 'А вдруг током шибанет?',
}

chainik = obj {
	nam = 'чайник',
	dsc = 'На подставке стоит электрический {чайник}.',
	tak = 'Вы взяли чайник.',
	inv = function(s)
		if s.Water then
			if s.Hot then
				return 'В чайнике кипяток!'
			end
			return 'В чайнике вода!'
		end
		return 'Чайник пуст.'
	end,
	use = function(s,o)
		if o == 'water' then
			if s.Water then
				return 'Чайник уже полный...'
			end
			s.Water = true
			return 'Вы налили в чайник воды...'
		elseif o == 'podstavka' then
			drop('chainik')
			local v='Вы поставили чайник на подставку';
			if s.Water then
				s.Hot = true
				return v..' и нажали кнопку. Через пять минут чайник закипел.';
			end
			return v..'.';
		elseif o == 'cup' then
			if s.Hot and cup.Zavarka then
				cup.Tea = true
				return 'Вы заварили чай.'
			elseif s.Hot and not cup.Hot then
				cup.Hot = true
				return 'Вы налили кипятка в кружку.'
			elseif s.Water and not cup.Hot then
				return 'Зачем? Когда можно пить прямо из-под крана!'
			end
			return 'Гммм...';
		else 
			if s.Hot then
				return 'Кипяточком? Нееет....'
			elseif s.Water then
				return 'Холодной водичкой? Неет...'
			end
			return 'Пустым чайником? Неет...'
		end
	end
}

cup = obj {
	nam = 'кружка',
	dsc = function(s)
		if here() == room300 then
			return 'На столе стоит ваша любимая {кружка} с логотипом ВНИЗ.';
		end
		return "На краю стола стоит ваш {чай со снотворным}.";
	end,
	inv = function(self)
		if self.Tea then
			if self.Snotv then
				return 'Чай со снотворным не в вашем вкусе...'
			end
			self.Tea = false
			self.Hot = false
			self.Zavarka = false
			self.Snotv = false
			return 'Это чай!!! -- вы выпиваете весь чай до дна... Хорошо!'
		elseif self.Hot then
			return 'В кружке кипяток...'
		elseif self.Zavarka then
			return 'На дне лежит заварка'
		else
			return 'Вы заглядываете на дно кружки. Даа - \
			судя по накипи заварки -- ее не мыли по-крайней мере\
			пару месяцев. Но все-равно эта кружка с логотипом ВНИЗ\
			очень дорога для вас.';
		end
	end,
	act = function(self)
		if here() ~= room312 or (not have('tea') and not seen('tea')) or academ.State == 5 then
			take('cup')
			return 'Почему бы и нет... Вдруг пригодится...';
		else
			return 'Не стоит этого делать... Не стоит...'	
		end
	end,
	used = function(self, o)
		if o == 'snotv' then
			inv():del('snotv')
			self.Snotv = true
			return 'Вы положили в кружку снотворное.'
		elseif o == 'zavarka' and self.Hot then
			inv():del('zavarka')
			self.Tea = true
			return 'Вы заварили чай';
		elseif o == 'zavarka' and not self.Zavarka then
			inv():del('zavarka')
			self.Zavarka = true
			return 'Вы положили в кружку заварку'
		end
	end
}

room314 = room {
	pic = 'gfx/r314.png',
	nam = "Лаб. 314",
	dsc = "Огромная лаборатория открывается вашему взору. Множество \
	электронных компонент\
	лежат на полу. Едят прямо в комнате, это видно по количеству плесени и\
	обилию мусора в углу, где стоит кухонный стол.",
	enter = function(s, f)
		if f == 'corridor' then
			save_music(s);
			set_music('mus/freedom.xm');
		end
		lifeon('andrew');
		lifeon('ilya');
	end,
	exit = function(s, t)
		lifeoff('andrew');
		lifeoff('ilya');
		if t == 'corridor' then
			restore_music(s);
		end
	end,
	act = function(s,c)
		if c ~= 1 then
			return
		end
		if not have('zavarka') then
			inv():add('zavarka')
			return 'Вы взяли пакетик с заваркой';
		else
			return 'У вас уже есть один пакетик';
		end
	end,
	way = { 'corridor' },
	obj = { vobj(1, 'пакетики', 'На столе стоит коробка с {чайными пакетиками}.'), 'andrew','artem','ilya','pkun','podstavka','chainik' }
}

room300 = room {
	pic = 'gfx/r300.png',
	nam = "Лаб. 300",
	way = { 'corridor' },
	dsc = 'Вы в своей лаборатории. Компьютер, стол, стул -- ворох бумаги --\
	вот и все, что есть в комнате. Вы неплохо поработали за последний год -- \
	никакой личной жизни.',
	enter = function(self)
		if door300.Locked then
			return "Вы дергаете ручку двери.\
			Похоже, что лаборатория заперта.", false
		end
		save_music(self);
		set_music('mus/isglass.xm');
	end,
	exit = restore_music, 
	obj = {'cup'},
}

door316 = obj {
	nam = 'дверь 316',
	dsc = 'Дверь с надписью {LAB 316}.',
	act = function(self)
		return goto('room316');
	end,
}

function y_dlg_f1()
	if isDisabled(y_dlg.obj[3]) and isDisabled(y_dlg.obj[4]) and isDisabled(y_dlg.obj[9]) then
		y_dlg:pon(5,10);
		return 'Ладно, я тебе подскажу.... -- Юра стучит пальцем по каске -- \
		ЗОМБИРОВАНИЯ!!! -- Внеземной Научный Институт ЗОМБИРОВАНИЯ! -- \
		все очень просто! Юра срывается на безумный смех...'
	end
	return nil
end

otmychka = obj {
	nam = 'отмычка',
	inv = 'Простая отмычка... Кусочек черной проволоки...',
}

dynamit = obj {
	nam = 'динамит',
	inv = 'Это динамит. С часовым механизмом. Нужно только нажать кнопку.',
}

y_dlg = dlg {
	pic = 'gfx/yury.png',
	nam = 'Разговор с Юрой',
	dsc = "Юра сидит в полном военном обмундировании, в каске, кителе без погон...\
		Глядя на Юру вы невольно вспоминаете, что во ВНИЗе работают лица с психическими \
		отклонениями... Включая вас, конечно... Из колонок на столе Юры льются\
		звуки транса...",
	obj = { 
		[1] = phr('Юр, а почему ты в каске?', 'Юра молча улыбается. Он смотрит на тебя\
		как на ребенка и качает головой - А знаешь, сынок, что означает ВНИЗ?...',
		'pon(3,4,9);'),
		[2] = _phr('Юр, а дай мне одну из твоих гранат, пожалуйста...', ' - Вряд ли \
		они тебе нужны сейчас. - говорит Юра и улыбается. Золотой зуб зловеще поблескивает\
		в лучах заходящего солнца... - Но... Не плачь, говорит он глядя на тебя - \
		на, держи, помни мою доброту! - Юра протягивает тебе что-то \
		зажатое в кулаке.', 'inv():add("otmychka");'),
		[3] = _phr('Вечный Научный Институт .... Зла?', 'Гм... У тебя хорошее воображение -- \
		драматически говорит Юра -- но это неверный ответ!', 'return y_dlg_f1()'),
		[4] = _phr('Вселенский Научный Институт Здоровья?', 'Юра морщится от боли, глядя на твое\
		выражение лица.... Ему даже нечего сказать тебе...', 'return y_dlg_f1()'),
		[9] = _phr('Всенародный Институт Знаний?...', 'Юра удивленно приподнимает брови...\
		Одно мгновение он рассматривает вас как бы оценивая что-то... Затем уголки его губ\
		нервно подрагивают - По моему ты псих, наконец произносит он...', 'return y_dlg_f1()'),
		[5] = _phr('Что? Я не понимаю...', 'И последний намек, новобранец! -- Юра тычет\
		пальцем в потолок -- есть ВВЕРХ, а есть... -- и тут он многозначительно опустил палец,\
		указывая им в немытый пол...', 'pon(6)'),
		[10] = _phr('Но зачем ты здесь ...  Тогда?', 'А кто меня отсюда выпустит в этом? -- \
		Юра тычек пальцем в каску -- А как сниму -- так мне и  все, крышка -- хрюкает Юра.'),
		[6] = _phr('Что это все значит?..', 'Когда повзрослеешь... Тогда и поговорим...', 
		'pon(7)'),
		[7] = _phr('Я слышал голос Неизвестного, они хотят что то сделать... Сделать что-то\
		страшное...', 'Да, ты прав -- Юра откидывается на спинку кресла -- что-то\
		страшное, сынок, что-то страшное...'),
		[8] = _phr('Юра! Я знаю про Машину! Дай мне гранату!', 
		'Гм... На, сынок, я долго берег это для особого случая...\
		- Юра протягивает тебе палочку динамита. - Похоже, что этот случай настал!', 
		'inv():add("dynamit");'),
		[11] = _phr('Ну я пошел...', 'Удачи, сынок, она тебе понадобится...', [[back()]]),
		[12] = _phr('Юра! Юра! Я видел МАШИНУ!! Мне нужна бомба!', 'Прости, сынок, но у меня нет бомб.'),
	},
	exit = function()
		pon(11);
		return "Юра тщательно отрегулировал уровень громкости и сосредоточился на работе..."
	end,
}

ammo = obj {
	nam = 'боеприпасы',
	dsc = 'Рядом с Юрой, в углу, свалены {боеприпасы}...',
	act = function()
		if not have('otmychka') then
			y_dlg:pon(2)
		end
		return 'Ты присматриваешься к куче в углу: гранаты, пистолеты, патроны... \
		Ты пытаешься взять одну из гранат, но тебя останавливает недобрый взгляд Юры.'
	end,
}

yury = obj {
	nam = "Юра",
	dsc = "В углу, напротив окна, за компьютером сгорбилась коренастая фигура {Юры}.",
	act = function()
		return goto('y_dlg')
	end,
	life = function()
		if here() ~= corridor then
			return
		end
		if rnd(100)>65 then
			return 'Из комнаты 316 доносятся звуки транса...'
		end
	end,
}

room316 = room {
	pic = 'gfx/r316.png',
	nam = "Лаб. 316",
	enter = function(s, f)
		if f == 'corridor' then
			save_music(s);
			set_music('mus/demios.xm');
		end
	end,
	exit = function(s, t)
		if t == 'corridor' then
			if have('dynamit') then
				set_music('mus/0.mod');
			else
				restore_music(s);
			end
		end
	end,
	dsc = "Вы в небольшой лаборатории с тускло светящейся лампочкой на проводе,\
	висящей на желтом в разводах потолке.",
	way = { 'corridor' },
	obj = { 'yury', 'ammo' },
}


corridor = room {
	pic = 'gfx/cor.png',
	nam = "Коридор 3-го этажа",
	dsc = 'Вы находитесь в коридоре 3-го этажа. Вдоль стен коридора вы видите множество дверей.',
	enter = function(self, f)
		if f ~= 'floor3' then
			return 
		end
		lifeon('yury');
		lifeon('academ');
		if reader_c.Pass or self.Was then
			reader_c.Pass = false
			self.Was = true
			return door_pass_msg
		else
			return door_fail_msg, false
		end	
	end,
	exit = function(s, t)
		if t == 'floor3' then
			lifeoff('yury');
			lifeoff('academ');
		end
	end,
--	way = {'floor3','room314','room300','room316','room312'},
--	obj = {'door300','door314','door316','door312'}
	way = {'floor3','room314', 'room300', 'room316', 'room312'},
	obj = {'door314', 'door300', 'door316', 'door312'}
}

lift = room {
	nam = "Лифт",
	pic = 'gfx/lift.png',
	S = 0,
	Prev = 0,
	enter = function(s)
		s.Was = true;
		save_music(s);
		set_music();
		return "Вы нажали кнопку лифта. Прошло не менее десяти секунд пока вы, наконец, не зашли внутрь лифта.";
	end,
	dsc = "Вы в лифте.",
	obj = {
		'mirror',
		vobj(1, '1', 'В лифте 7 кнопок. По числу этажей. Какую кнопку нажмете?: {(1)},'),
		vobj(2, '2', '{(2)},'),
		vobj(3, '3', '{(3)},'),
		vobj(4, '4', '{(4)},'),
		vobj(5, '5', '{(5)},'),
		vobj(6, '6', '{(6)},'),
		vobj(7, '7', '{(7)},'),
		vobj(8, 'ход', '{Кнопка хода}.'),
	},
	act = function(self, arg)
		local v = "Вы осторожно  нажали кнопку... ";
		local n = tonumber(arg)
-- 16723	
		if (self.S == 0 and n == 1) then
			self.S = 1
			v = v.."Послышался звуковой сигнал...";
			set_music('mus/button.ogg', 1);
		elseif 	(self.S == 1 and n == 6) then
			self.S = 2
			v = v.."Послышался звуковой сигнал...";
			set_music('mus/button.ogg', 1);
		elseif 	(self.S == 2 and n == 7) then
			self.S = 3
			v = v.."Послышался звуковой сигнал...";
			set_music('mus/button.ogg', 1);
		elseif (self.S == 3 and n == 2) then
			self.S = 4
			v = v.."Послышался высокий звуковой сигнал... ";
			set_music('mus/button-hi.ogg', 1);
		elseif (self.S == 4 and n == 3) then
			self.S = 5
			v = v.."Послышался звук срабатывания реле.";
			set_music('mus/button-hi.ogg', 1);
		elseif (self.S == 5 and n == 8) then
			return cat(v, 'Что это! Кабина лифта дернулась, скрипнула и поехала вниз, все\
			набирая скорость... Наконец скрипнув, она остановилась...\
			Двери лифта открылись, открывая вам незнакомое пространство...^^', goto('underground'));
		else
			self.S = 0
			v = v.."Биип... Прозвучал глухой сигнал...";
			set_music('mus/button-beep.ogg', 1);
		end

		if (self.Prev>0 and self.Prev<8 and n == 8) then
			if self.Prev == 3 or self.Prev == 2 or self.Prev == 7 
				or self.Prev == 6 then
				return cat(v, '^^', goto('floor'..self.Prev))
			elseif self.Prev == 1 then
				return cat(v, '^^', goto('entrance'))
			else
				unused_floor.Floor = self.Prev
				return cat(v, '^^', goto('unused_floor'))
			end
		end	
		self.Prev = n
		return v;
	end,
	exit = function(s, to)
		ways():set(to, 1);
		restore_music(s);
		return ("Вы вышли из лифта... \
		Двери лифта закрылись за вашей спиной со зловещим клацаньем...")
	end,
	way = { 'entrance' },
}


turniket = obj {
	nam = "турникет",
	dsc = function(s)
		if not entrance.Inside then
			return "Проход к лифту преграждает {турникет}."
		end
		return "Выход наружу преграждает {турникет}."
	end,
	act = "Турникет сделан из крепкой стали и находится в отличном состоянии.",
	used = function(self, obj) 
		if obj == 'card' or obj == 't_card' then
			local v = "Вы подносите карточку к турникету. Загорается зеленая лампочка. ";
			if not entrance.Inside then
				entrance.Inside = true;
				return v.."Вы прошли сквозь турникет и подошли к лифту."
			end	
			entrance.Inside = false;
			return v.."Вы прошли сквозь турникет по направлению к выходу."
		else
			return "Хмм... А может быть... Нет - не работает..."
		end
	end
}

home = room {
	nam = 'Домой',
	enter = function(s)
		return 'Нет... Сейчас не время... Я должен во всем разобраться...', false
	end
}
bak = obj {
	nam = 'бензобак',
	dsc = function(s)
		local v='Ваше внимание привлекает дверца {бензобака}.'
		if s.Tube then
			v = v..' Из дверцы бензобака торчит трубка.';
		end
		return v
	end,
	act = 'Ммммм... Запах бензина...',
	used = function(s, o)
		if o == 'matches' then
			return 'От взрыва этой машины не будет пользы...';
		end
		if o == 'tube' then
			inv():del('tube')
			s.Tube = true;
			return 'Вы открыли дверцу бензобака и воткнули трубку.'
		end
		if o == 'can' then
			if s.Tube and not can.Full then
				can.Full = true;
				return 'Вы берете трубку в рот, не на миг не забывая места,\
				где вы ее нашли... Всасываете в рот бензин и подставляете\
				под струю канистру... Через минуту канистра полная!'
			end
		else
			return 'Это не поможет...';
		end
	end,
}

car = room {
	nam = 'У машины',
	pic = 'gfx/car.png',
	dsc = 'Вы остановились около одной из машин.';
	way = { 'street' },
	obj = { 'bak' },
}

car_d = room {
	pic = 'gfx/acar.png',
	nam = 'У машины Академика',
	dsc = 'Вы остановились около машины Академика.',
	act = 'Ммммм... Запах бензина...',
	used = function(s, o, w)
		if w == 'matches' then
			cars_d.Burning = true
			return cat('Страшно даже подумать... И все-таки... \
			Ах... Вы поджигаете спичку и кидаете ее в бензобак. ^^', goto('street'));
		elseif w == 'tube' then
			return 'Академик следит за своей машиной из окна и может заметить, что \
			вы замыслили что-то нехорошее... Может подыскать другую машину?';
		else
			return 'Интересные у вас мысли бродят...'
		end
	end,
	obj = { vobj(1, 'бензобак', 'Ваше внимание привлекает дверца {бензобака}.') },
	way = { 'street' }	
}

cars = obj {
	nam = 'машины',
	dsc = 'Недалеко припарковано несколько {машин}.',
	act = function() 
		return cat('Вы направляетесь к машинам...^^', goto('car'));
	end,
}

cars_d = obj {
	nam = 'машина академика',	
	dsc = function(s)
		if s.Burning then
			return 'Вы видите как горит {машина Академика}.';
		else
			return 'Среди них вы узнаете {машину Академика}.';
		end
	end,
	act = function(s) 
		if s.Burning then
			return "Ну уж нет... Можно пораниться...";
		else
			return cat('Вы направляетесь к машине Академика...^^', goto('car_d'));
		end
	end,
}

street = room {
	pic = function(s)
		if cars_d.Burning then
			return 'gfx/street-burn.png';
		end
		return 'gfx/street.png';
	end,
	nam = 'На улице',
	dsc = [[Вы стоите перед входом в институт... Весна. Деревья только только
	очнулись от зимней стужи.]],
	obj = { vobj(1, 'табличка', 'На двери института висит {табличка}.'), 'cars', 'cars_d' },
	way = { 'entrance', 'home' },
	act = function(o, c)
		if c == 1 then
			return 'На бронзовой поверхности таблички, золотыми буквами написано: ВНИЗ.';
		end
	end
}

entrance = room {
	nam = "Проходная",
	pic = 'gfx/entr.png',
	dsc = "Вы находитесь в проходной института ВНИЗ. ",
	obj = { 'turniket', 'guards' },
	way = { 'lift', 'street' },
	enter = function(s, f)
		if f == 'main' then
			inv():add('card');
		end
	end,
	exit = function(s, to)
		if lift.Was then
			return
		end
		if ( not s.Inside and to == 'lift' ) or
		 ( s.Inside and to == 'street' ) then
			return [[Вы подошли вплотную к турникету и уперлись в холодную сталь. Вы не можете пройти сквозь турникет. Он жестко блокирует ваши движения.]], false
		end
	end	
}
